Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Spatial Ref Service
- Post a transformation authority code to create a persistable reference
Post the authority code of a late-bound CRS to create a persistable reference
Post components of an early-bound CRS to create a persistable reference
Post components of a late-bound CRS to create a persistable reference
Post an Ocean companion xml encoded as text to create a persistable reference
Post an Ocean textual representation to create a persistable reference
Post a transformation aut...
Post a request containing a transformation authority code to create a persistable reference. The result can be used to populate an EbCrsContainer for a subsequent request to generate an early-bound CRS.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-spatial-reference-service/persistableReference/fromTransformAuthorityCode
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromTransformAuthorityCode \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"singleCartoTrfAuthorityCode": "1612"
}'Success: Transformation authority code to persistable reference conversion successful
singleTrfPartsobject(SglTrfContainer)
The created persistable reference on success; null on error
Example:"{\"wkt\":\"GEOGTRAN[\\\"ED_1950_To_WGS_1984_23\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\"
Response
{ "singleTrfParts": { "singleCartoTrfName": "ED_1950_To_WGS_1984_23", "singleCartoTrfAuthorityCode": "1612", "singleCartoTrfAuthority": "EPSG", "singleCartoTrfWkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_23\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-116.641],PARAMETER[\"Y_Axis_Translation\",-56.931],PARAMETER[\"Z_Axis_Translation\",-110.559],PARAMETER[\"X_Axis_Rotation\",0.893],PARAMETER[\"Y_Axis_Rotation\",0.921],PARAMETER[\"Z_Axis_Rotation\",-0.917],PARAMETER[\"Scale_Difference\",-3.52],AUTHORITY[\"EPSG\",1612]]" }, "persistableReference": "{\"wkt\":\"GEOGTRAN[\\\"ED_1950_To_WGS_1984_23\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"Position_Vector\\\"],PARAMETER[\\\"X_Axis_Translation\\\",-116.641],PARAMETER[\\\"Y_Axis_Translation\\\",-56.931],PARAMETER[\\\"Z_Axis_Translation\\\",-110.559],PARAMETER[\\\"X_Axis_Rotation\\\",0.893],PARAMETER[\\\"Y_Axis_Rotation\\\",0.921],PARAMETER[\\\"Z_Axis_Rotation\\\",-0.917],PARAMETER[\\\"Scale_Difference\\\",-3.52],AUTHORITY[\\\"EPSG\\\",1612]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_To_WGS_1984_23\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"1612\"},\"type\":\"ST\"}", "statusInformation": "Success" }